Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.api.node.event
Class WindowEvent

    java.lang.Object
      org.jboss.portal.api.event.PortalEvent
          org.jboss.portal.api.node.event.PortalNodeEvent
              org.jboss.portal.api.node.event.WindowEvent

Direct Known Subclasses:
  WindowActionEvent, WindowNavigationEvent, WindowRenderEvent

    public abstract class WindowEvent

extends PortalNodeEvent

Base class for window events.

Author:
  Julien Viet

Field Summary
`protected org.jboss.portal.Mode` | `mode` .
`protected org.jboss.portal.WindowState` | `windowState` .

Fields inherited from class org.jboss.portal.api.node.event.PortalNodeEvent
`node`

Constructor Summary
`WindowEvent(PortalNode node)`

Method Summary
`org.jboss.portal.Mode` | `getMode()`
`org.jboss.portal.WindowState` | `getWindowState()`
`void` | `setMode(org.jboss.portal.Mode mode)`
`void` | `setWindowState(org.jboss.portal.WindowState windowState)`

Methods inherited from class org.jboss.portal.api.node.event.PortalNodeEvent
`getNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mode

    protected org.jboss.portal.Mode mode

  .

### windowState

    protected org.jboss.portal.WindowState windowState

  .

Constructor Detail

### WindowEvent

    public WindowEvent(PortalNode node)
                throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### getMode

    public org.jboss.portal.Mode getMode()

### setMode

    public void setMode(org.jboss.portal.Mode mode)

### getWindowState

    public org.jboss.portal.WindowState getWindowState()

### setWindowState

    public void setWindowState(org.jboss.portal.WindowState windowState)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD